Subject: 2.2.1 kernel build

From: Chris Rutter <[email-masked]>
Date: Sun, 28 Feb 1999 22:35:15 +0000 (GMT)

Building kernel 2.2.1, patched with rmk4 and the latest philb of
about three days ago, I get this:

    /usr/bin/armv2-linux-ld -m elf32arm -Ttext 0x01800000 -o vmlinux head.o misc.o /usr/src/linux-2.2.1-armv2-linux/arch/arm/lib/ll_char_wr.o piggy.o

Now, I'm most definitely setup for an A5000 build (`-mcpu=arm3' is
passed to `armv2-linux-gcc' by the Makefile), so why is the ld 
emulation being set to `elf32arm', not `elf32arm26'?

-- 
Chris <[email-masked]>                         ( http://www.fluff.org/chris )

unsubscribe: body of `unsubscribe linux-arm' to [email-masked]

---

From: Russell King - ARM Linux Admin <[email-masked]>
Date: Sun, 28 Feb 1999 22:49:08 +0000 (GMT)

> emulation being set to `elf32arm', not `elf32arm26'?

Sorry, this doesn't qualify for a 2.2.2-rmk5 patch (unless some other stuff
comes in as well).
   _____
  |_____| ------------------------------------------------- ---+---+-
  |   |        Russell King       [email-masked]      --- ---
  | | | |  http://www.arm.linux.org.uk/~rmk/armlinux.html    /  /  |
  | +-+-+                                                     --- -+-
  /   |               THE developer of ARM Linux              |+| /|\
 /  | | |                                                     ---  |
    +-+-+ -------------------------------------------------  /\\\  |
unsubscribe: body of `unsubscribe linux-arm' to [email-masked]

---

From: Philip Blundell <[email-masked]>
Date: Sun, 28 Feb 1999 22:55:53 +0000

>emulation being set to `elf32arm', not `elf32arm26'?

This just comes straight out of the Makefile.  The way to fix it properly is 
for the makefile not to call ld directly but to use the gcc driver to do is.  
That said it doesn't actually matter because the elf32arm and elf32arm26 
emulations are so similar.  Either will work.

p.